FROM debian:bookworm AS deps

RUN apt-get update -qq && apt-get install -qq -y --no-install-recommends build-essential cmake



FROM deps AS build

ADD src /workspace/src
ADD lib /workspace/lib
ADD CMakeLists.txt /workspace/
WORKDIR /workspace

RUN mkdir build && cd build && cmake .. && make


FROM scratch AS export
COPY --from=build /workspace/build/alchitry_loader /
